| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- File List
- File Members

# GaudiSvc_load.cpp File Reference

`#include "GaudiKernel/DeclareFactoryEntries.h"`
`#include "GaudiKernel/DataStreamTool.h"`

Include dependency graph for GaudiSvc_load.cpp:

Go to the source code of this file.

## Functions
| DECLARE_FACTORY_ENTRIES (GaudiSvc)

## Function Documentation

DECLARE_FACTORY_ENTRIES | ( | GaudiSvc |  | ) |

Definition at line 8 of file GaudiSvc_load.cpp.

References DECLARE_ALGORITHM, DECLARE_DATAOBJECT, DECLARE_OBJECT, DECLARE_SERVICE, and DECLARE_TOOL.

    00008                                   {
    00009   DECLARE_OBJECT( ApplicationMgr );
    00010   DECLARE_SERVICE( AlgContextSvc );
    00011   DECLARE_SERVICE( ChronoStatSvc );
    00012   DECLARE_SERVICE( CounterSvc );
    00013   DECLARE_SERVICE( DetDataSvc );
    00014   DECLARE_SERVICE( EvtDataSvc );
    00015   DECLARE_SERVICE( ExceptionSvc );
    00016   DECLARE_SERVICE( FastContainersSvc );
    00017   DECLARE_SERVICE( MultiStoreSvc );
    00018   DECLARE_ALGORITHM( StoreExplorerAlg );
    00019   DECLARE_ALGORITHM( CollectionCloneAlg );
    00020   DECLARE_ALGORITHM( PartitionSwitchAlg );
    00021   DECLARE_TOOL( PartitionSwitchTool );
    00022   DECLARE_SERVICE( HistogramSvc );
    00023   DECLARE_SERVICE( HistorySvc );
    00024   DECLARE_SERVICE( JobOptionsSvc );
    00025   DECLARE_SERVICE( MessageSvc );
    00026   DECLARE_SERVICE( NTupleSvc );
    00027   DECLARE_SERVICE( IssueLogger );
    00028   DECLARE_SERVICE( TagCollectionSvc );
    00029   DECLARE_SERVICE( THistSvc );
    00030   DECLARE_SERVICE( RndmGenSvc );
    00031   DECLARE_SERVICE( ParticlePropertySvc );
    00032   DECLARE_SERVICE( HistogramPersistencySvc );
    00033   DECLARE_SERVICE( EvtPersistencySvc );
    00034   DECLARE_SERVICE( DetPersistencySvc );
    00035   DECLARE_SERVICE( EventSelector );
    00036   DECLARE_SERVICE( EventCollectionSelector );
    00037   DECLARE_SERVICE( IncidentSvc );
    00038   DECLARE_SERVICE( DataOnDemandSvc );
    00039   DECLARE_SERVICE( AuditorSvc );
    00040   DECLARE_SERVICE( ToolSvc );
    00041   DECLARE_SERVICE( StatusCodeSvc );
    00042   DECLARE_SERVICE( MinimalEventLoopMgr );
    00043   DECLARE_SERVICE( EventLoopMgr );
    00044   DECLARE_SERVICE( AppMgrRunable );
    00045   DECLARE_ALGORITHM( EvtCollectionStream );
    00046   DECLARE_ALGORITHM( OutputStream );
    00047   DECLARE_ALGORITHM( InputCopyStream );
    00048   DECLARE_ALGORITHM( TagCollectionStream );
    00049 //   DECLARE_OBJECT( AIDATupleSvc);
    00050   // Random number stuff
    00051   DECLARE_SERVICE( DualRandEngine );
    00052   DECLARE_SERVICE( TripleRandEngine );
    00053   DECLARE_SERVICE( DRand48Engine );
    00054   DECLARE_SERVICE( Hurd160Engine );
    00055   DECLARE_SERVICE( Hurd288Engine );
    00056   DECLARE_SERVICE( HepJamesRandom );
    00057   DECLARE_SERVICE( MTwistEngine );
    00058   DECLARE_SERVICE( RanecuEngine );
    00059   DECLARE_SERVICE( Ranlux64Engine );
    00060   DECLARE_SERVICE( RanluxEngine );
    00061   DECLARE_SERVICE( RanshiEngine );
    00062   DECLARE_OBJECT( RndmBit );
    00063   DECLARE_OBJECT( RndmFlat );
    00064   DECLARE_OBJECT( RndmChi2 );
    00065   DECLARE_OBJECT( RndmGamma );
    00066   DECLARE_OBJECT( RndmGauss );
    00067   DECLARE_OBJECT( RndmLandau );
    00068   DECLARE_OBJECT( RndmPoisson );
    00069   DECLARE_OBJECT( RndmStudentT );
    00070   DECLARE_OBJECT( RndmBinomial );
    00071   DECLARE_OBJECT( RndmExponential );
    00072   DECLARE_OBJECT( RndmBreitWigner );
    00073   DECLARE_OBJECT( RndmBreitWignerCutOff );
    00074   DECLARE_OBJECT( RndmDefinedPdf );
    00075   DECLARE_OBJECT( RndmGaussianTail );
    00076   DECLARE_OBJECT( NTupleSelector );
    00077   // Histogram factories
    00078   DECLARE_DATAOBJECT( H1D );
    00079   DECLARE_DATAOBJECT( H2D );
    00080   DECLARE_DATAOBJECT( H3D );
    00081   DECLARE_DATAOBJECT( P1D );
    00082   DECLARE_DATAOBJECT( P2D );
    00083 }